subroutine True(t, x_True)                  !  True solution x(t)
use work, only :n

REAL(8) t, x_True(n)
!    True = (/ 1.0d0/t**2,  1.0d0/SQRT(t) /)

x_True(1) =(100._8*dexp(-t) -dexp(-100*t) )/99._8
x_True(2) =100._8/99._8*(-dexp(-t) +dexp(-100*t))

END subroutine True
